
%define _emacspeakdir %_emacs_datadir/site-lisp/emacspeak

Name: emacspeak
Version: 26.0
Release: alt5.M51.1
BuildArch: noarch

License: free, see file COPYRIGHT for details
Group: Accessibility
Summary: Synthesized speech output for Emacs

Requires: emacs-common emacsen-startscripts voiceman
BuildRequires: emacs-devel
BuildRequires: perl-libwww perl-HTML-TableExtract
Url: http://emacspeak.sourceforge.net
Packager: Emacs Maintainers Team <emacs@packages.altlinux.org>

Source: %name-%version.tar.bz2
Source1: emacspeak-site-start.el
Source2: emacspeak-profile.sh
Source3: README.alt.utf8
Source4: enable-%name
Source5: %name.conf

Patch0: emacspeak-23.0-alt-info.diff
Patch1: emacspeak-26.0-alt-lisp.diff
Patch2: emacspeak-26.0-alt-langswitch.diff
Patch3: emacspeak-26.0-alt-espeak.diff
Patch4: emacspeak-26.0-alt-w3m.diff
Patch5: emacspeak-26.0-alt-libtool.diff

# Automatically added by buildreq on Thu Jul 17 2008 (-bi)
BuildRequires: emacs-gnus emacs22-speedbar emacs-w3m gcc-c++ gv ImageMagick libalsa-devel libX11-locales openssl tcl-devel unzip xlhtml zip 

%description
Emacspeak is a Linux application that allows users to get synthesized speech
output inside the Emacs desktop environment.

%prep
%setup -q
%patch -p0
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

for f in dtk-exp ssh-dtk-exp dtk-mv speech-server dsp-outloud dtk-soft outloud ssh-outloud; do
    %__subst 's%/usr/bin/tcl%/usr/bin/tclsh%' servers/$f
done
%__subst 's%/usr/bin/tcl%/usr/bin/tclsh%' ./sawfish/tts.jl

%build
make config SRC=`pwd`
make all prefix=%_prefix
cd info
make info
make htm
cd ..

%install
make prefix=%buildroot%prefix install

# remove unneeded files
rm -rf %buildroot%_emacslispdir/emacspeak/user-guide
rm -rf %buildroot%_emacslispdir/emacspeak/install-guide
rm %buildroot%_emacslispdir/emacspeak/etc/NEWS*
rm %buildroot%_emacslispdir/emacspeak/etc/*.html
rm %buildroot%_emacslispdir/emacspeak/etc/emacspeak.*
rm %buildroot%_emacslispdir/emacspeak/etc/FAQ
rm %buildroot%_emacslispdir/emacspeak/etc/HELP
rm %buildroot%_emacslispdir/emacspeak/etc/COPYRIGHT
%__subst 's!%buildroot!!' %buildroot/usr/bin/emacspeak

#README.alt
cp %SOURCE3 .

mkdir -p %buildroot/%_sysconfdir/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/%_sysconfdir/emacs/site-start.d/emacspeak.el

mkdir -p %buildroot/%_sysconfdir/profile.d
install -m 755 %SOURCE2 %buildroot/%_sysconfdir/profile.d/emacspeak.sh
install -m 755 %SOURCE5 %buildroot/%_sysconfdir/%name.conf

install -m 755 %SOURCE4 %buildroot/%_bindir/enable-emacspeak

#msp:removing because of using rsh in script;
rm -f %buildroot%_emacspeakdir/etc/remote.txt
rm -f %buildroot%_emacspeakdir/servers/remote-tcl

%post
%install_info %name.info
echo "NOTE: Please, read file /usr/share/doc/%name-%version/README.alt.utf8 for using comments."
echo "You have to run enable-emacspeak command for every user in your system to activate emacspeak."

%preun
%uninstall_info %name.info

%files
%doc install-guide user-guide info/html
%doc etc/NEWS* etc/*.html etc/emacspeak.* etc/FAQ etc/HELP etc/COPYRIGHT
%doc README.alt.utf8
%_emacslispdir/*
%_infodir/*
%config(noreplace) %_sysconfdir/emacs/site-start.d/*
%config(noreplace) %_sysconfdir/%name.conf
%config %_sysconfdir/profile.d/*
%_bindir/*

%changelog
* Wed Oct 06 2010 Michael Pozhidaev <msp@altlinux.ru> 26.0-alt5.M51.1
- Speech server path changed from voiceman-espeak to voiceman-emacspeak

* Fri Jul 24 2009 Michael Pozhidaev <msp@altlinux.ru> 26.0-alt5
- Removed linux-outloud compilation because of libtool using problem (subject to fix in 30.0)

* Wed Dec 17 2008 Michael Pozhidaev <msp@altlinux.ru> 26.0-alt4
- Removed scripts with rsh calls (by ldv@ ask)

* Sat Aug 02 2008 Michael Pozhidaev <msp@altlinux.ru> 26.0-alt3
- Changed voiceman client file name 

* Tue Jul 15 2008 Michael Pozhidaev <msp@altlinux.ru> 26.0-alt2
- Added enable-emacspeak script and added some customizations

* Wed Sep 26 2007 Michael Pozhidaev <msp@altlinux.ru> 26.0-alt1
- Some bug fixes and readme file was added

* Mon Sep 24 2007 Michael Pozhidaev <msp@altlinux.ru> 26.0-alt0.5
- Preliminary release of new version

* Mon Dec 19 2005 Igor Vlasenko <viy@altlinux.ru> 23.0-alt1
- new version

* Sat Feb 21 2004 Ott Alex <ott@altlinux.ru> 19.0-alt2
- Fix gcc3.3 build

* Sat Dec 13 2003 Ott Alex <ott@altlinux.ru> 19.0-alt1
- New version

* Tue Sep 23 2003 Ott Alex <ott@altlinux.ru> 18.0-alt3
- Fixing spec deps 

* Mon Jun 02 2003 Ott Alex <ott@altlinux.ru> 18.0-alt2
- Fixing load of emacs modules

* Sun May 18 2003 Ott Alex <ott@altlinux.ru> 18.0-alt1
- Initial build


